package cz.moneta.test.dataprepare.retail.loans;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.ufo.banka.pages.loans.expres.LoanData;
import cz.moneta.test.dsl.ufo.banka.tasks.BankaTasks;
import org.junit.jupiter.api.BeforeEach;

public class BeforeEachExpresLoanTest {

    protected BankaTasks bankaTasks;
    protected LoanData data;

    @BeforeEach
    protected void setUp(Harness harness) {
        bankaTasks = harness.tasks().ufo().banka();
        data = bankaTasks.expresTasks().expressLoanDataPreparationTasks().preBuildLoanData();
        bankaTasks.expresTasks().expressLoanDataPreparationTasks().prepareClient(data.getClient());
    }
}